﻿//
// Acecool™ - Prevent Locked Tabs From Being Closed Without Confirmation
// Josh 'Acecool™' Moser - 1985-Indefinitely - Released under the Acecool™ Company License ( ACL )
//
// This is a script for Directory Opus.
// See http://www.gpsoft.com.au/DScripts/redirect.asp?page=scripts for development information.
//


//
// Called by Directory Opus to initialize the script
//
function OnInit( _data )
{
	_data.name = "Acecool™ - Prevent Locked Tabs From Being Closed Without Confirmation";
	_data.version = "1.0";
	_data.copyright = "Josh 'Acecool™' Moser - 1985-Indefinitely - Released under the Acecool™ Company License ( ACL )";
//	_data.url = "https://resource.dopus.com/viewforum.php?f=35";
	_data.desc = "Prevents you from being closed without confirming it first...";
	_data.default_enable = true;
	_data.min_version = "12.0";
}


//
// Prevent closing tabs when the tab is locked unless holding Ctrl / Alt / Shift ??....
// Called when a tab is closed - closeTabData - https://www.gpsoft.com.au/help/opus12/index.html#!Documents/Scripting/CloseTabData.htm
//
function OnCloseTab( _data )
{
	// Tab Object
	var _tab	= _data.tab;

	// Lock State of Tab Object - Can be: "off", "on", "changes", "reuse"
	var _state	= _tab.lock;

	// Is the tab locked ( any state )
	var _locked = ( _state != "off" ) ? true : false;

	// Key Modifiers held while trying to close tab... - Can be: "none", "shift", "ctrl", "alt", "shift,ctrl", "shift,alt", "shift,ctrl,alt", "ctrl,alt"
	var _mods	= _data.qualifiers;
	var _modded	= ( _mods != "none" ) ? true : false;

	// Prevent closing the tab if the tab is locked and no mods are pressed...
	if ( _locked && !_modded )
		return true;
}